Mailinglist Archive: opensuse-buildservice (206 mails)

< Previous Next >
Re: [opensuse-buildservice] Error on server:eGroupware build for openSUSE11.1
  • From: Marcus Meissner <meissner@xxxxxxx>
  • Date: Fri, 27 Mar 2009 10:27:38 +0100
  • Message-id: <20090327092738.GB2929@xxxxxxx>
On Fri, Mar 27, 2009 at 09:37:13AM +0100, Carsten Hoeger wrote:
On Thu, Mar 26, Ralf Becker wrote:

When I try to build the noarch rpm for openSUSE11.1, I get the following
error, stoping the build:

+ /usr/lib/rpm/brp-rpath
+ /usr/lib/rpm/brp-pie
+ /usr/lib/rpm/brp-rootfs
+ /usr/lib/rpm/brp-tcl
+ /usr/lib/rpm/brp-check-python
+ /usr/lib/rpm/brp-check-bytecode-version
ERROR: jar, fastjar, or unzip is not installed (trying file
/tmp/eGroupware-buildroot/usr/share/egroupware/gallery/gallery2/modules/core/classes/GalleryStorage/g2_db2.jar)
error: Bad exit status from /var/tmp/rpm-tmp.54764 (%install)


RPM build errors:
Bad exit status from /var/tmp/rpm-tmp.54764 (%install)
System halted.

The same specfile works with a openSUSE11.0 target.

The project is PHP based. The bundeled Gallery2 contains the jar-file
causing the error. That jar is used on clientside, so I dont think it
makes sense to require any java rpms for the server.

Any ideas ...

If it's the brp-check-bytecode-version check which is causing this, just
switch it off using

%install
export NO_BRP_CHECK_BYTECODE_VERSION=true

Actually do not disable checks randomyl, but in this case just add "unzip" to
BuildRequires to make the check work.

Ciao, Marcus
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >